Package de.gebit.integrity.runner.console

## Class SimpleCommandLineParser.DecimalOption

- java.lang.Object
- - de.gebit.integrity.runner.console.SimpleCommandLineParser.Option
  - - de.gebit.integrity.runner.console.SimpleCommandLineParser.ValueOption<BigDecimal>
    - - de.gebit.integrity.runner.console.SimpleCommandLineParser.DecimalOption

- Enclosing class:
    SimpleCommandLineParser

      public static class SimpleCommandLineParser.DecimalOption
      extends SimpleCommandLineParser.ValueOption<BigDecimal>

  Decimal option.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DecimalOption​(String aShortName, String aLongName)` | Creates a new decimal option.
    `DecimalOption​(String aShortName, String aLongName, String aDescription)` | Creates a new decimal option.
    `DecimalOption​(String aShortName, String aLongName, String aDescription, String aCommandLine)` | Creates a new decimal option.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addValue​(String aValue)` | Sets a value.

    - ### Methods inherited from class de.gebit.integrity.runner.console.SimpleCommandLineParser.ValueOption

      `addValueInternal, getValue, getValue, getValues`

    - ### Methods inherited from class de.gebit.integrity.runner.console.SimpleCommandLineParser.Option

      `getCommandLine, getDescription, getHelpLine, getLongName, getShortName, matches`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecimalOption

          public DecimalOption​(String aShortName,
                               String aLongName)

      Creates a new decimal option.
      Parameters:
        `aShortName` - The short name of the option. Usually just one character.
        `aLongName` - The long name of the option, generelly a comprehendable, but not-too-long string.

    - #### DecimalOption

          public DecimalOption​(String aShortName,
                               String aLongName,
                               String aDescription)

      Creates a new decimal option.
      Parameters:
        `aShortName` - The short name of the option. Usually just one character.
        `aLongName` - The long name of the option, generelly a comprehendable, but not-too-long string.
        `aDescription` - The command line help string for this option.

    - #### DecimalOption

          public DecimalOption​(String aShortName,
                               String aLongName,
                               String aDescription,
                               String aCommandLine)

      Creates a new decimal option.
      Parameters:
        `aShortName` - The short name of the option. Usually just one character.
        `aLongName` - The long name of the option, generelly a comprehendable, but not-too-long string.
        `aDescription` - The command line help string for this option.
        `aCommandLine` - The description for the help.

  - ### Method Detail

    - #### addValue

          protected void addValue​(String aValue)

      Sets a value.
      Specified by:
        `addValue` in class `SimpleCommandLineParser.ValueOption<BigDecimal>`
      Parameters:
        `aValue` - the value